import request from './request'

export default {
  getSysDict: () => request.get('/base/sysDict'), // 获取所有字典
  getCurrentUser: (params) => request.get('/user/account/current', { params }), // 获取当前用户信息
  getAllAssetCommunityTreeList: (params) =>
    request.get('/user/api/account/getAllAssetCommunityTreeList', { params }),
  getOrgUserTree: (params) => request.get('/user/org/user/tree', { params }), //组织用户树

  // 用户标签
  userRoomFileTag: () => request.get('/user/userRoomFile/tag?current=-1&size=-1'),

  // 用户查询
  userSelectModule: (data) => request.post('/user/userSelectModule', data),

  // 组织架构
  treeByRole: () => request.get('/user/org/0/treeByRole'),

  // 用户角色
  userRolePage: (roleTypes) =>
    request.post('/user/role/page', {
      current: -1,
      size: -1,
      roleTypes,
    }),
}
